# -*- Coding: utf-8 -*-

"""
iSuperpose

Miscellaneous module
"""

def crdRotate(a, tMat):
    """
    Apply transformation matrix tMat to a coordinates.
    Returns transformed coordinates.
    """
    
    x = a[0] * tMat[0][0] + a[1] * tMat[1][0] + a[2] * tMat[2][0] + tMat[3][0]; 
    y = a[0] * tMat[0][1] + a[1] * tMat[1][1] + a[2] * tMat[2][1] + tMat[3][1]; 
    z = a[0] * tMat[0][2] + a[1] * tMat[1][2] + a[2] * tMat[2][2] + tMat[3][2]; 
    
    return [x,y,z]
